import { world, system } from "@minecraft/server";

import "./barked_woods.js"
import "./breaking_custom_minerals.js"
import "./breaking_using_custom_tools.js"
import "./custom_tool_interaction.js"
import "./vanilla_tool_interaction.js"

import "./mob_spawner_ars.js"
import "./structure_spawner_ars.js"

import "./block_updating_nbe.js"
import "./double_slabs_nbe.js"
import "./grafting_table.js"
import "./pile_of_bones.js"
import "./potted_plants_nbe.js"
import "./tip_grass_block.js"
import "./tip_grass.js"

import "./block_updating_nce.js"
import "./active_heated_netherrack.js"
import "./double_slabs_nce.js"
import "./glow_bird_egg_block.js"
import "./glowceling_egg_block.js"
import "./heated_netherrack.js"
import "./moss_berry_bush.js"
import "./mosshroom_fungus_block.js"
import "./mosshroom_light.js"
import "./myceling_egg_block.js"
import "./potted_plants_nce.js"
import "./rose_quartz_lamp.js"
import "./short_mycelium_sprouts_block.js"
import "./tall_mycelium_sprouts_block.js"
import "./tall_glowcelium_sprouts_block.js"
import "./moss_berry_cookie.js"
import "./moss_berry_pie.js"
import "./mosshroom_fungus.js"
import "./mosshroom_stew.js"
import "./tall_glowcelium_sprouts.js"
import "./tall_mycelium_sprouts.js"

import "./block_updating_fo.js"
import "./jar_of_forest_wisp.js"
import "./jar_of_moss_berry_cookies.js"
import "./potted_plants_fo.js"
import "./short_lush_bush_block.js"
import "./tall_lush_bush_block.js"
import "./tall_lush_bush.js"

import "./block_updating_nie.js"
import "./artifacture_table.js"
import "./copper_evaporator.js"
import "./iron_evaporator.js"
import "./jar_of_cookies.js"
import "./jar_of_drinks.js"
import "./spore_pot.js"
import "./amethyst_apple.js"
import "./apple_pie.js"
import "./bamboo_tumbler_with_chocolate.js"
import "./bamboo_tumbler_with_glow_berry_juice.js"
import "./bamboo_tumbler_with_milk.js"
import "./bamboo_tumbler_with_sweet_berry_juice.js"
import "./blazing_apple.js"
import "./blazing_staff.js"
import "./book_of_biomes.js"
import "./cactus_stew.js"
import "./carrot_soup.js"
import "./cheese.js"
import "./cheese_bread.js"
import "./chocolate_bar.js"
import "./crimson_stew.js"
import "./diamond_apple.js"
import "./dripstone_club.js"
import "./egg_sandwich.js"
import "./emerald_apple.js"
import "./glow_berry_cookie.js"
import "./glow_berry_pie.js"
import "./glow_lichen_stew.js"
import "./iron_apple.js"
import "./jar_of_chocolate_full.js"
import "./jar_of_chocolate_half.js"
import "./jar_of_glow_berry_juice_full.js"
import "./jar_of_glow_berry_juice_half.js"
import "./jar_of_honey_full.js"
import "./jar_of_honey_half.js"
import "./jar_of_milk_full.js"
import "./jar_of_milk_half.js"
import "./jar_of_sweet_berry_juice_full.js"
import "./jar_of_sweet_berry_juice_half.js"
import "./lapis_lazuli_apple.js"
import "./magma_club.js"
import "./netherite_apple.js"
import "./pea_stew.js"
import "./potato_soup.js"
import "./powder_staff.js"
import "./pumpkin_slice.js"
import "./seagrass_stew.js"
import "./soup.js"
import "./staff_of_the_sea.js"
import "./sweet_berry_cookie.js"
import "./sweet_berry_pie.js"
import "./warped_stew.js"
import "./wooden_club.js"

import "./locked_crates.js"
import "./mob_spawner_kc.js"
import "./wood_crates.js"

import "./copper_lamp_oxidization.js"
import "./copper_lamp_waxing.js"
import "./copper_lantern_oxidization.js"
import "./copper_lantern_waxing.js"

import "./mob_spawner_nmd.js"
import "./curserer_staff.js"
import "./piglin_fire_staff.js"
import "./piglin_sledge_hammer.js"
import "./raw_rat.js"
import "./rotten_brute_flesh.js"

import "./mob_spawner_nmm.js"
import "./structure_spawner_nmm.js"

import "./block_updating_mb.js"
import "./blooming_corrupted_oak_sapling_block.js"
import "./corrupted_grass_block.js"
import "./corrupted_oak_leaves.js"
import "./corrupted_oak_sapling_block.js"
import "./double_slabs_mb.js"
import "./hanging_moss_block.js"
import "./mossy_willow_leaves.js"
import "./mossy_willow_sapling.js"
import "./overgrown_jungle_leaves.js"
import "./overgrown_jungle_sapling.js"
import "./potted_plants_mb.js"
import "./short_moss_sprouts_block.js"
import "./tall_moss_sprouts_block.js"
import "./blooming_corrupted_oak_sapling.js"
import "./corrupted_grass.js"
import "./corrupted_oak_sapling.js"
import "./hanging_moss.js"
import "./tall_moss_sprouts.js"

import "./block_updating_nm.js"
import "./fire_bird_egg_block.js"
import "./jellyfish_slime_block.js"
import "./moa_egg_block.js"
import "./mob_spawner_nm.js"
import "./raven_egg_block.js"
import "./soul_fire_bird_egg_block.js"
import "./sparrow_egg_block.js"
import "./bucket_of_jellyfish.js"
import "./bucket_of_prismarine_clam.js"
import "./raw_arthropod_flesh.js"
import "./raw_clurve_flesh.js"
import "./raw_moa.js"
import "./raw_squirrel.js"
import "./scorpion_gauntlet.js"
import "./scorpion_telson.js"
