import { world, BlockPermutation } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent("nicothekid:spawner_crates_trader_on_random_tick", {
    onRandomTick: eventData => {
      eventData.block.setPermutation(BlockPermutation.resolve("minecraft:air"));
      eventData.block.dimension.runCommandAsync(`summon nicothekid:crates_trader ${eventData.block.location.x + 0.5} ${eventData.block.location.y} ${eventData.block.location.z + 0.5} ~ ~ event:spawn_from_structure`);
    }
  });
  initEvent.blockComponentRegistry.registerCustomComponent("nicothekid:spawner_crates_trader_on_tick", {
    onTick: eventData => {
      eventData.block.setPermutation(BlockPermutation.resolve("minecraft:air"));
      eventData.block.dimension.runCommandAsync(`summon nicothekid:crates_trader ${eventData.block.location.x + 0.5} ${eventData.block.location.y} ${eventData.block.location.z + 0.5} ~ ~ event:spawn_from_structure`);
    }
  });
  initEvent.blockComponentRegistry.registerCustomComponent("nicothekid:spawner_piglin_crates_trader_on_random_tick", {
    onRandomTick: eventData => {
      eventData.block.setPermutation(BlockPermutation.resolve("minecraft:air"));
      eventData.block.dimension.runCommandAsync(`summon nicothekid:piglin_crates_trader ${eventData.block.location.x + 0.5} ${eventData.block.location.y} ${eventData.block.location.z + 0.5} ~ ~ event:spawn_from_structure`);
    }
  });
  initEvent.blockComponentRegistry.registerCustomComponent("nicothekid:spawner_piglin_crates_trader_on_tick", {
    onTick: eventData => {
      eventData.block.setPermutation(BlockPermutation.resolve("minecraft:air"));
      eventData.block.dimension.runCommandAsync(`summon nicothekid:piglin_crates_trader ${eventData.block.location.x + 0.5} ${eventData.block.location.y} ${eventData.block.location.z + 0.5} ~ ~ event:spawn_from_structure`);
    }
  });
});